## cascading.stats
Class StepStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.StepStats

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HadoopStepStats

    public abstract class StepStats

extends CascadingStats

Class StepStats collects `FlowStep` specific statistics.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Constructor Summary
`protected` `StepStats(String name)` Constructor CascadingStats creates a new CascadingStats instance.

Method Summary
`String` `toString()`

Methods inherited from class cascading.stats.CascadingStats

`captureDetail, getChildren, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCountersFor, getCounterValue, getCounterValue, getCurrentDuration, getDuration, getFinishedTime, getID, getName, getStartTime, getStatsString, getStatus, isFailed, isFinished, isPending, isRunning, isSkipped, isStopped, isSuccessful, markFailed, markRunning, markSkipped, markStartTime, markStopped, markSuccessful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepStats

    protected StepStats(String name)

  Constructor CascadingStats creates a new CascadingStats instance.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `CascadingStats`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.